<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
    <!-- https://www.youtube.com/watch?v=Oy9K7iz3aa4&ab_channel=AngelaDelise -->
    <style> 
      body {
        font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
      }
      
      table {
        border-collapse: collapse;
        box-shadow: 0 5px 10px rgb(218, 218, 218);
      }

      thead {
        box-shadow: 0 5px 10px rgb(214, 214, 214);
      }

      th {
        text-transform: uppercase;
        padding: 1rem 2rem;
      }

      td {
        padding: 1rem 2rem;
      }

      tr:nth-child(even){
        background-color: aquamarine;
      }

    </style>
  </head>
  <body>
    <h1>Note List ✨✨</h1>
    <table>
      <tr>
        <thead>
          <th>To</th>
          <th>From</th>
          <th>Title</th>
          <th>Message</th>
        </thead>
      </tr>
      {% if notes %}
        {% for note in notes %}
          <tr>
            <td>{{ note.to }}</td>
            <td>{{ note.froms }}</td>
            <td>{{ note.title }}</td>
            <td>{{ note.message }}</td>
          </tr>
        {% endfor %}
      {% endif %}
    </table>
  </body>
</html>
